FROM ubuntu AS builder
RUN apt-get update -y &&\
    apt-get install  -y build-essential libasound2 cmake fftw-dev pkg-config libx11-dev x11-xserver-utils libxrandr-dev libxinerama-dev libxcursor-dev  libfreetype6-dev libfftw3-dev libasound2-dev libjack-dev
COPY . /src
WORKDIR /src
RUN cmake -B build -S /src -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -Wno-dev
RUN cmake --build build

FROM ubuntu
COPY --from=builder /src/build/PaulXStretch_artefacts/Release/ /release
CMD ["mv", "/release", "/out"]

